/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.cache.lock;

import org.jboss.cache.TreeCache;


/**
 * @author <a href="mailto:bela@jboss.org">Bela Ban</a> Apr 10, 2003
 * @version $Revision: 1.1.2.5 $
 */
public class LockManagerImpl implements LockManager
{
   protected boolean dirty_reads_allowed = true;


   public LockManagerImpl()
   {

   }

   public boolean getDirtyReadsAllowed()
   {
      return dirty_reads_allowed;
   }

   public void setDirtyReadsAllowed(boolean flag)
   {
      this.dirty_reads_allowed = flag;
   }

   public void getReadLock(TreeCache cache, String fqn, long timeout) throws TimeoutException
   {
   }

   public void getWriteLock(TreeCache cache, String fqn, long timeout)
         throws TimeoutException, UpgradeException
   {
   }

   public void releaseLock(String fqn, boolean release_children)
   {
   }

}
